# Method: alerts.getMetadata

- [HTTP request](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#body.aspect)
- [Examples](https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts/getMetadata#examples)

Returns the metadata of an alert. Attempting to get metadata for a non-existent alert returns `NOT_FOUND` error.

### HTTP request

`GET https://alertcenter.googleapis.com/v1beta1/alerts/{alertId}/metadata`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `alertId` | `string` Required. The identifier of the alert this metadata belongs to. |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` Optional. The unique identifier of the Google Workspace account of the customer the alert metadata is associated with. The `customerId` must have the initial "C" stripped (for example, `046psxkn`). Inferred from the caller identity if not provided. [Find your customer ID](https://support.google.com/cloudidentity/answer/10070793). |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/alertcenter/reference/rest/v1beta1/alerts#AlertMetadata`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.alerts`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).